Bug 44857 - libgcrypt20: Multiple issues (4.2)
libgcrypt20: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 14:44 CEST by Arvid Requate
Modified: 2018-04-18 14:15 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.1 (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:N/A:N)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-06-26 14:44:39 CEST
Upstream Debian package version 1.6.3-2+deb8u3 fixes:

* In Libgcrypt before 1.7.7, an attacker who learns the EdDSA session key (from side-channel observation during the signing process) can easily recover the long-term secret key. 1.7.7 makes a cipher/ecc-eddsa.c change to store this session key in secure memory, to ensure that constant-time point operations are used in the MPI library. (CVE-2017-9526)
Comment 1 Arvid Requate univentionstaff 2017-07-11 14:27:54 CEST
Upstream Debian package version 1.6.3-2+deb8u4 fixes:

* local side-channel attack allowing full key recovery for RSA-1024 (CVE-2017-7526)
Comment 2 Arvid Requate univentionstaff 2017-09-08 14:52:57 CEST
The libgcrypt20 version in Debian Jessie is not affected by CVE-2017-0379.
Comment 3 Philipp Hahn univentionstaff 2018-01-25 10:59:37 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 4 Arvid Requate univentionstaff 2018-04-12 19:36:38 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Package update: Ok
* Advisory: Ok
Comment 5 Arvid Requate univentionstaff 2018-04-18 14:15:52 CEST
<http://errata.software-univention.de/ucs/4.2/337.html>